/**
 * @file
 * Use previously stored value or OS preference to set initial dark mode.
 */

(() => {
  // This should be loaded in the header to avoid FOUC, and uses the previously
  // stored value of the local storage. When not set, the OS preference is used
  // to set the initial dark mode.
  document.documentElement.classList.toggle(
    'dark',
    localStorage.theme === 'dark' ||
      (!('theme' in localStorage) &&
        window.matchMedia('(prefers-color-scheme: dark)').matches),
  );
})();
